/**
 * 公共方法的封装
  */
import Vue from 'vue'

// 性别
Vue.filter("filterSex", function(val) {	
	if(val == 1){
		return '男';
	}else if(val == 2){
		return '女';
	}else {
	  return '未知';
	}
});

// 链接加时间戳
Vue.filter("timestamp", function(link) {	
	return link + '?t=' + new Date().getTime();
});

// 保留两位小数，自动补充零
Vue.filter("filterToFixed", function(val) {	
 var value=Math.round(parseFloat(val)*100)/100;
 if(!value){return '0'}
 var xsd=value.toString().split(".");
 if(xsd.length==1){
 value=value.toString()+".00";
 return value;
 }
 if(xsd.length>1){
 if(xsd[1].length<2){
 value=value.toString()+"0";
 }
 return value;
 }
})

// 题目类型
Vue.filter("filterTopicType", function(val) {	
	let topicTypeList = ['', '单选题', '多选题', '判断题']
	return topicTypeList[val]
});

// 题目类型
Vue.filter("filterOrderStatus", function(val) {	
	let orderStatusList = ['待领取', '已领取', '已失效']
	return orderStatusList[val]
});


// js手机号码中间4位变星星
Vue.filter("hidePhoneNumber", function(val) {	
	return val.replace(/^(\d{3})\d{4}(\d{4})$/, "$1****$2");
});



